Subject: Re: bug#52973: Adding a few context-menu-mode commands

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Jan 2022 22:15:26 +0200

> From: Philip Kaludercic <[email-masked]>
> Cc: Juri Linkov <[email-masked]>,  [email-masked]
> Date: Tue, 04 Jan 2022 20:08:03 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think once the user turns on context-menu-mode, all the modes that
> > defined their context menus should automatically activate them.  There
> > should be no need for any user customizations except turning on this
> > mode.
> 
> I would disagree, neither do I necessarily want all mode, nor do I
> necessarily want to have the entries listed the default order.  In my
> case I fix this by manually setting context-menu-functions to the
> functions I want to use.

Then we should allow users to opt out of the automatic activation of
the context menus.  But the default should IMO be that they are
activated in all modes.  After all, this mode wants to mimic "other
applications", and those don't let you choose at all.  So I think
users, especially newcomers, would expect that default.